@charset "UTF-8";
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #fff;
}

/* メニューのスタイル */
.menu {
	font-family: "ＭＳ Ｐ明朝", "MS PMincho", "ヒラギノ明朝 Pro W3", "Hiragino Mincho Pro", serif;
	position: fixed;
	top: 0;
	right: -100%; /* 初期状態では画面の外に隠れている */
	width: 300px;
	height: 100%;
	background-color: #FFFFFF;
	color: #333;
	transition: right 0.3s ease; /* スライドインのアニメーション */
	padding: 20px;
	box-sizing: border-box;
	z-index: 10;
	font-size: 18px;
}

/* メニューが開いているとき */
.menu.open {
  right: 0;
}

/* ボタンのスタイル */
.hamburger {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 30px;
  cursor: pointer;
  z-index: 20;
}

.hamburger span {
  display: block;
  height: 3px;
  width: 100%;
  background-color: #333;
  margin: 5px 0;
  transition: 0.4s;
}

/* バツ印に変化するスタイル */
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}

/* メニューリストのスタイル */
.menu ul {
  list-style-type: none;
  padding: 0;
  margin-top: 80px;
}

.menu li {
  padding: 20px 0;
  border-bottom: 1px solid #444;
}

.menu li a {
  color: #333;
  text-decoration: none;
  display: block;
}


